function OnSceneEnter()
-- rozpoczecie dialogu przy pierwszym wejsciu
	if s.s03_0109_assassin_visit==0 then
		UI:DayLabel("daylabel0301")
		Sleep(500)
		Dialog("dlg_s03_01")
		Sound("snd_go_s03_0101_yard_3")
		GoTo("s03_0101_yard")
	elseif s.s03_0105_tilepieces_solved==1 and s.dlg_s03_04==0 and s.dlg_s03_06==0	then
		Sleep(500)
		Dialog("dlg_s03_04")
		Sound("snd_go_s03_0101_yard_3")
		GoTo("s03_0101_yard")	
	end
end

function OnSceneExit()
print(self:GetName(), "Scene Exit")
end